ubuntu-location-service: com::ubuntu::location::connectivity Namespace Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Classes | Enumerations | Functions
com::ubuntu::location::connectivity Namespace Reference

## Classes
class | BoundedInteger
| A helper class to handle bounded integer values, with an optional domain for tagging domain-specific types. More...
class | Manager
| The Manager class encapsulates access to network/radio information. More...
struct | RadioCell
| Models a radio cell that one of the modems in the system is connected to. More...
struct | WirelessNetwork

## Enumerations
enum class | State { unknown = 0 , asleep = 10 , disconnected = 20 , disconnecting = 30 , connecting = 40 , connected_local = 50 , connected_site = 60 , connected_global = 70 }
| Enumerates all known system connectivity states. More...
enum class | Characteristics : std::uint32_t { none = 0 , connection_goes_via_wifi = 1 << 0 , connection_goes_via_wwan = 1 << 1 , connection_is_roaming = 1 << 2 , connection_has_monetary_costs = 1 << 3 , connection_is_volume_limited = 1 << 4 , connection_is_bandwith_limited = 1 << 5 }
| Summarizes characteristics of network connections. More...

## Functions
std::ostream & | operator<< (std::ostream &out, State state)
| Pretty prints the given state to the given output stream. More...
Characteristics | operator| (Characteristics l, Characteristics r)
| Bitwise or operator for Characteristics flags. More...
Characteristics | operator& (Characteristics l, Characteristics r)
| Bitwise and operator for Characteristics flags. More...
std::ostream & | operator<< (std::ostream &out, Characteristics characteristics)
| Pretty prints the given charateristics to the given output stream. More...
const std::shared_ptr< Manager > & | platform_default_manager ()
| Provides access to a platform-specific implementation/instance of a connectivity manager. More...
bool | operator== (const RadioCell::Gsm &lhs, const RadioCell::Gsm &rhs)
| Returns true iff lhs equals rhs. More...
std::ostream & | operator<< (std::ostream &out, const RadioCell::Gsm &gsm)
| Pretty-prints the given gsm details to the given output stream. More...
bool | operator== (const RadioCell::Umts &lhs, const RadioCell::Umts &rhs)
| Returns true iff lhs equals rhs. More...
std::ostream & | operator<< (std::ostream &out, const RadioCell::Umts &umts)
| Pretty-prints the given umts details to the given output stream. More...
bool | operator== (const RadioCell::Lte &lhs, const RadioCell::Lte &rhs)
| Returns true iff lhs equals rhs. More...
std::ostream & | operator<< (std::ostream &out, const RadioCell::Lte &lte)
| Pretty-prints the given gsm details to the given output stream. More...
bool | operator== (const RadioCell &lhs, const RadioCell &rhs)
| Returns true iff lhs equals rhs. More...
std::ostream & | operator<< (std::ostream &out, const RadioCell &cell)
| Pretty-prints the given cell to the given output stream. More...
std::ostream & | operator<< (std::ostream &out, WirelessNetwork::Mode mode)
| Pretty-prints the given mode to the given output stream. More...
std::ostream & | operator<< (std::ostream &out, const WirelessNetwork &wifi)
| Pretty-prints the given wireless network to the given output stream. More...

## Enumeration Type Documentation

## ◆ Characteristics

enum com::ubuntu::location::connectivity::Characteristics : std::uint32_t
| strong

Summarizes characteristics of network connections.

Enumerator
none | Nothing special about the characteristics.
connection_goes_via_wifi | The connection goes via wifi.
connection_goes_via_wwan | The connection goes via a mobile-broadband connection.
connection_is_roaming | The connection goes via a roaming mobile-broadband connection.
connection_has_monetary_costs | The connection has monetary costs. No data should be transfered.
connection_is_volume_limited | The connection is volume limited. No large files should be transfered.
connection_is_bandwith_limited | the connection is bandwidth limited. Large transfer should be postponed.

Definition at line 66 of file manager.h.

## ◆ State

enum com::ubuntu::location::connectivity::State
| strong

Enumerates all known system connectivity states.

Enumerator
unknown | The state is unknown.
asleep | Networking is inactive and all devices are disabled.
disconnected | There is no active network connection.
disconnecting | Network connections are being cleaned up.
connecting | A network device is connecting to a network and there is no other available network connection.
connected_local | A network device is connected, but there is only link-local connectivity.
connected_site | A network device is connected, but there is only site-local connectivity.
connected_global | A network device is connected, with global network connectivity.

Definition at line 39 of file manager.h.

## Function Documentation

## ◆ operator&()

Characteristics com::ubuntu::location::connectivity::operator& | ( | Characteristics | l,
|  | Characteristics | r
| ) |  |

Bitwise and operator for Characteristics flags.

## ◆ operator<<() [1/8]

std::ostream& com::ubuntu::location::connectivity::operator<< | ( | std::ostream & | out,
|  | Characteristics | characteristics
| ) |  |

Pretty prints the given charateristics to the given output stream.

## ◆ operator<<() [2/8]

std::ostream& com::ubuntu::location::connectivity::operator<< | ( | std::ostream & | out,
|  | const RadioCell & | cell
| ) |  |

Pretty-prints the given cell to the given output stream.

## ◆ operator<<() [3/8]

std::ostream& com::ubuntu::location::connectivity::operator<< | ( | std::ostream & | out,
|  | const RadioCell::Gsm & | gsm
| ) |  |

Pretty-prints the given gsm details to the given output stream.

## ◆ operator<<() [4/8]

std::ostream& com::ubuntu::location::connectivity::operator<< | ( | std::ostream & | out,
|  | const RadioCell::Lte & | lte
| ) |  |

Pretty-prints the given gsm details to the given output stream.

## ◆ operator<<() [5/8]

std::ostream& com::ubuntu::location::connectivity::operator<< | ( | std::ostream & | out,
|  | const RadioCell::Umts & | umts
| ) |  |

Pretty-prints the given umts details to the given output stream.

## ◆ operator<<() [6/8]

std::ostream& com::ubuntu::location::connectivity::operator<< | ( | std::ostream & | out,
|  | const WirelessNetwork & | wifi
| ) |  |

Pretty-prints the given wireless network to the given output stream.

## ◆ operator<<() [7/8]

std::ostream& com::ubuntu::location::connectivity::operator<< | ( | std::ostream & | out,
|  | State | state
| ) |  |

Pretty prints the given state to the given output stream.

## ◆ operator<<() [8/8]

std::ostream& com::ubuntu::location::connectivity::operator<< | ( | std::ostream & | out,
|  | WirelessNetwork::Mode | mode
| ) |  |

Pretty-prints the given mode to the given output stream.

## ◆ operator==() [1/4]

bool com::ubuntu::location::connectivity::operator== | ( | const RadioCell & | lhs,
|  | const RadioCell & | rhs
| ) |  |

Returns true iff lhs equals rhs.

## ◆ operator==() [2/4]

bool com::ubuntu::location::connectivity::operator== | ( | const RadioCell::Gsm & | lhs,
|  | const RadioCell::Gsm & | rhs
| ) |  |

Returns true iff lhs equals rhs.

## ◆ operator==() [3/4]

bool com::ubuntu::location::connectivity::operator== | ( | const RadioCell::Lte & | lhs,
|  | const RadioCell::Lte & | rhs
| ) |  |

Returns true iff lhs equals rhs.

## ◆ operator==() [4/4]

bool com::ubuntu::location::connectivity::operator== | ( | const RadioCell::Umts & | lhs,
|  | const RadioCell::Umts & | rhs
| ) |  |

Returns true iff lhs equals rhs.

## ◆ operator|()

Characteristics com::ubuntu::location::connectivity::operator| | ( | Characteristics | l,
|  | Characteristics | r
| ) |  |

Bitwise or operator for Characteristics flags.

## ◆ platform_default_manager()

const std::shared_ptr<Manager>& com::ubuntu::location::connectivity::platform_default_manager | ( |  | ) |

Provides access to a platform-specific implementation/instance of a connectivity manager.

Exceptions

  Manager::Errors::ConnectivityManagementNotSupported. |

Returns
  An instance of a connectivity manager.